# OpenLayers.Renderer.Canvas

A renderer based on the 2D ‘canvas’ drawing element.

#### Inherits

- OpenLayers.Renderer

Summary

OpenLayers.Renderer.Canvas | A renderer based on the 2D ‘canvas’ drawing element.
Properties |
hitDetection | {Boolean} Allow for hit detection of features.
Constructor |
OpenLayers.Renderer.Canvas |
Functions |
supported | {Boolean} Whether or not the browser supports the renderer class
Constants |
OpenLayers.Renderer.Canvas.LABEL_ALIGN | {Object}
OpenLayers.Renderer.Canvas.LABEL_FACTOR | {Object}
OpenLayers.Renderer.Canvas.drawImageScaleFactor | {Number} Scale factor to apply to the canvas drawImage arguments.

### Properties

### hitDetection

{Boolean} Allow for hit detection of features. Default is true.

### Constructor

### OpenLayers.Renderer.Canvas

#### Parameters

containerID | {String}
options | {Object} Optional properties to be set on the renderer.

### Functions

### supported

> supported: function()

#### Returns

{Boolean} Whether or not the browser supports the renderer class

### Constants

### OpenLayers.Renderer.Canvas.LABEL_ALIGN

{Object}

### OpenLayers.Renderer.Canvas.LABEL_FACTOR

{Object}

### OpenLayers.Renderer.Canvas.drawImageScaleFactor

{Number} Scale factor to apply to the canvas drawImage arguments. This is always 1 except for Android 2.1 devices, to work around http://code.google.com/p/android/issues/detail?id=5141.

> supported: function()

{Boolean} Whether or not the browser supports the renderer class
This is the base class for all renderers.
Contains convenience functions for string manipulation.
Close